### Method

# Gio TlsCertificate is_same

since: 2.34

#### Declaration

    gboolean
    g_tls_certificate_is_same (
      GTlsCertificate* cert_one,
      GTlsCertificate* cert_two
    )

#### Description

Check if two `GTlsCertificate` objects represent the same certificate. The raw DER byte data of the two certificates are checked for equality. This has the effect that two certificates may compare equal even if their `GTlsCertificate:issuer`, `GTlsCertificate:private-key`, or `GTlsCertificate:private-key-pem` properties differ.

Available since: 2.34

#### Parameters

`cert_two`

  Type: `GTlsCertificate`

  Second certificate to compare.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the same or not.